Attribute VB_Name = "modCNPJ"
Option Explicit
Global Acao As String

Sub AbrirSite()
    
    On Error GoTo problem
    
    Dim X As Integer
    
    
    
    With FORM_FORNECEDOR
        
        X = VBA.Len(.txtCNPJ.Text)
        
        If X < 18 Then
            .lblAvisos.ForeColor = &HFFFFFF
            .lblAvisos.Caption = "CNPJ vazio ou invlido!"
            Exit Sub
        End If
        
        .lblAvisos.ForeColor = VBA.vbBlue
        .lblAvisos.Caption = "Aguarde carregando site..."
        
        Acao = "DigitarCNPJ"
        .WB.Navigate "https://www.receita.fazenda.gov.br/pessoajuridica/cnpj/cnpjreva/cnpjreva_solicitacao2.asp"
    
    End With
    
Exit Sub
problem:

MsgBox "O mdulo do navegador explorer parece no est ativado, siga o tutorial para ativa-lo ou entre em contato com o suporte.", vbQuestion, "Casa das Planilhas"
End Sub


Sub DigitarCNPJ()
On Error GoTo problem

    Dim CNPJ As String
    CNPJ = FORM_FORNECEDOR.txtCNPJ.Text
    
    CNPJ = VBA.Replace(CNPJ, ".", "")
    CNPJ = VBA.Replace(CNPJ, "/", "")
    CNPJ = VBA.Replace(CNPJ, "-", "")
    
    FORM_FORNECEDOR.WB.Document.getElementByID("cnpj").InnerText = CNPJ
    
Exit Sub
problem:

MsgBox "O mdulo do navegador explorer parece no est ativado, siga o tutorial para ativa-lo ou entre em contato com o suporte.", vbQuestion, "Casa das Planilhas"
End Sub

Sub FormatarWB()
    On Error GoTo problem
    
    With FORM_FORNECEDOR
    
        .frameWEB.Left = 10
        .frameControles.Left = 1000
        .frameSocios.Left = 1000
        
    End With
    
    With FORM_FORNECEDOR.WB.Document.all.tags("Body")(0).Style
        .Visibility = "hidden"
        .OverFlow = "hidden"
    End With
    
    Dim divs As Object
    Set divs = FORM_FORNECEDOR.WB.Document.all.tags("div")
    
    Dim div As Object
    
    For Each div In divs
        If div.classname = "g-recaptcha" Then
            With div.Style
                .Visibility = "visible"
                .Position = "Fixed"
                .Top = "150px"
                .Left = "170px"
            End With
        End If
    Next div
    
    With FORM_FORNECEDOR.WB.Document.getElementByID("submit1").Style
        .Visibility = "visible"
        .Position = "Fixed"
        .Top = "250px"
        .Left = "170px"
        .Background = "linear-gradient(#85f9a7, #0c5807)"
        .Border = "1px solid #000"
        .borderradius = "15px"
        .padding = "5px 15px"
    End With
    
    Exit Sub
problem:

MsgBox "O mdulo do navegador explorer parece no est ativado, siga o tutorial para ativa-lo ou entre em contato com o suporte.", vbQuestion, "Casa das Planilhas"
End Sub

Sub PegarDados()
On Error GoTo problem

    With FORM_FORNECEDOR
    
        .frameWEB.Left = "700"
        .frameControles.Left = "6"
        
        Dim fonts As Object
        Dim font As Object
        Dim Posicao As Integer
        Dim Texto As String
        Dim Resultado As String
        
        Posicao = 0
        
        Set fonts = .WB.Document.all.tags("font")
        
        For Each font In fonts
            
            Posicao = Posicao + 1
            
        On Error GoTo Continuar
        
            Texto = VBA.Replace(font.InnerText, vbCrLf, "")
            Texto = VBA.Trim(Texto)
            Texto = VBA.Replace(Texto, VBA.Chr$(9), "")
            
            If Texto = "NMERO DE INSCRIO" Then _
                .txtEmpresa.Text = fonts(Posicao).all.tags("b")(1).InnerText
                
            Resultado = fonts(Posicao).InnerText
            Resultado = VBA.Trim(Resultado)
            Resultado = VBA.Replace(Resultado, vbCrLf, "")
            Resultado = VBA.Replace(Resultado, VBA.Chr$(9), "")
            
            If Texto = "DATA DE ABERTURA" Then _
                .txtAbertura.Text = Resultado
            
            If Texto = "NOME EMPRESARIAL" Then _
                .txtRazao.Text = Resultado
            
            If Texto = "TTULO DO ESTABELECIMENTO (NOME DE FANTASIA)" Then _
                .txtNome.Text = Resultado
            
            If Texto = "PORTE" Then _
                .txtPorte.Text = Resultado
            
            If Texto = "CDIGO E DESCRIO DA ATIVIDADE ECONMICA PRINCIPAL" Then _
                .txtCodAtividade.Text = Resultado
            
            If Texto = "CDIGO E DESCRIO DA NATUREZA JURDICA" Then _
                .txtNatJuridica.Text = Resultado
            
            If Texto = "LOGRADOURO" Then _
                .txtLogradouro.Text = Resultado
            
            If Texto = "NMERO" Then _
                .txtNumero.Text = Resultado
            
            If Texto = "COMPLEMENTO" Then _
                .txtComplemento.Text = Resultado
                
            If Texto = "CEP" Then _
                .txtCEP.Text = Resultado
                
            If Texto = "BAIRRO/DISTRITO" Then _
                .txtBairro.Text = Resultado
                
            If Texto = "MUNICPIO" Then _
                .txtMunicipio.Text = Resultado
                
            If Texto = "UF" Then _
                .txtUF.Text = Resultado
                
            If Texto = "ENDEREO ELETRNICO" Then _
                .txtEmail.Text = Resultado
                
            If Texto = "TELEFONE" Then _
                .txtContato.Text = Resultado
                
            If Texto = "SITUAO CADASTRAL" Then _
                .txtSituacao.Text = Resultado
Continuar:

        Next font
        
    End With
    
    Call PegarAtivSecundarias
    
    Exit Sub
problem:

MsgBox "O mdulo do navegador explorer parece no est ativado, siga o tutorial para ativa-lo ou entre em contato com o suporte.", vbQuestion, "Casa das Planilhas"
End Sub


Sub PegarAtivSecundarias()
    On Error GoTo problem
    
    Dim tables As Object
    Dim table As Object
    
    Set tables = FORM_FORNECEDOR.WB.Document.all.tags("table")
    
    For Each table In tables
        
        If VBA.Trim(table.all.tags("font")(0).InnerText) = _
            "CDIGO E DESCRIO DAS ATIVIDADES ECONMICAS SECUNDRIAS" Then
            
            Dim fonts As Object
            Dim font As Object
            Dim Texto As String
            
            Set fonts = table.all.tags("font")
            
            For Each font In fonts
                
                Texto = font.InnerText
                Texto = VBA.Trim(Texto)
                Texto = VBA.Replace(Texto, VBA.Chr$(9), "")
                
                If Texto <> _
                "CDIGO E DESCRIO DAS ATIVIDADES ECONMICAS SECUNDRIAS" Then
                    
                    FORM_FORNECEDOR.txtAtividade2.Text = _
                    FORM_FORNECEDOR.txtAtividade2.Text & Texto & VBA.Chr(10)
                    
                End If
            Next font
            
            Exit For
        End If
        
    Next table
    
    Call ClicarQuadroSocios
    
    Exit Sub
problem:

MsgBox "O mdulo do navegador explorer parece no est ativado, siga o tutorial para ativa-lo ou entre em contato com o suporte.", vbQuestion, "Casa das Planilhas"
End Sub

Sub ClicarQuadroSocios()
    
    On Error GoTo Continue
    
    FORM_FORNECEDOR.WB.Document.all.item("qsa").Click
    
Continue:
    
End Sub

Sub PegarSocios()
    On Error GoTo problem
    
    Dim tds As Object
    Dim td As Object
    Dim i As Integer
    Dim Texto As String
    
    i = 0
    
    Set tds = FORM_FORNECEDOR.WB.Document.all.tags("td")
    
    FORM_FORNECEDOR.listaSocios.Clear
    
    For Each td In tds
        i = i + 1
        
        Texto = td.InnerText
        Texto = VBA.Trim(Texto)
        
        If Texto = "CAPITAL SOCIAL:" Then
            FORM_FORNECEDOR.txtCaptial.Text = tds(i).InnerText
        End If
        
        If Texto = "Nome/Nome Empresarial:" Then
            FORM_FORNECEDOR.listaSocios.AddItem tds(i).InnerText
        End If
        
        If Texto = "Qualificao:" Then
            FORM_FORNECEDOR.listaSocios.List(FORM_FORNECEDOR.listaSocios.ListCount - 1, 1) = _
            tds(i).InnerText
        End If
        
    Next td
    
    Exit Sub
problem:

MsgBox "O mdulo do navegador explorer parece no est ativado, siga o tutorial para ativa-lo ou entre em contato com o suporte.", vbQuestion, "Casa das Planilhas"
End Sub
